package com.red.circle.console.app.service.app.sys;

import com.red.circle.framework.core.asserts.ResponseAssert;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.endpoint.sys.SysMikeTypeConfigClient;
import com.red.circle.other.inner.model.cmd.sys.SysMikeTypeConfigQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysMikeTypeConfigDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 麦位类型配置
 *
 * @author zongpubin on 2023/10/30
 */
@Service
@RequiredArgsConstructor
public class SysMikeTypeConfigServiceImpl implements SysMikeTypeConfigService {

  private final SysMikeTypeConfigClient mikeTypeConfigClient;

  @Override
  public PageResult<SysMikeTypeConfigDTO> getMikeType(SysMikeTypeConfigQryCmd query) {
    return ResponseAssert.requiredSuccess(mikeTypeConfigClient.getMikeType(query));
  }

  @Override
  public void addMikeType(SysMikeTypeConfigDTO mikeTypeConfigDTO) {
    ResponseAssert.requiredSuccess(mikeTypeConfigClient.addMikeType(mikeTypeConfigDTO));
  }

  @Override
  public void removeMikeType(Long id) {
    ResponseAssert.requiredSuccess(mikeTypeConfigClient.removeMikeType(id));
  }

  @Override
  public void updateMikeType(SysMikeTypeConfigDTO mikeTypeConfigDTO) {
    ResponseAssert.requiredSuccess(mikeTypeConfigClient.updateMikeType(mikeTypeConfigDTO));
  }
}
